Index: branches/HTM-14.1-update-dev0/source/Lib/TLibCommon/TComList.h
===================================================================
--- branches/HTM-14.1-update-dev0/source/Lib/TLibCommon/TComList.h	(revision 1199)
+++ branches/HTM-14.1-update-dev0/source/Lib/TLibCommon/TComList.h	(revision 1200)
@@ -2,7 +2,7 @@
  * License, included below. This software may be subject to other third party
  * and contributor rights, including patent rights, and no such rights are
- * granted under this license.  
+ * granted under this license.
  *
-* Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2015, ITU/ISO/IEC
  * All rights reserved.
  *
@@ -36,6 +36,6 @@
 */
 
-#ifndef _TCOMLIST_
-#define _TCOMLIST_
+#ifndef __TCOMLIST__
+#define __TCOMLIST__
 
 #if _MSC_VER > 1000
@@ -59,9 +59,9 @@
 /// list template
 template< class C >
-class TComList : public std::list< C >
+class TComList : public std::list< C > // NOTE: should not inherit from STL classes
 {
 public:
   typedef typename std::list<C>::iterator TComIterator;
-  
+
   TComList& operator += ( const TComList& rcTComList)
   {
@@ -72,5 +72,5 @@
     return *this;
   } // leszek
-  
+
   C popBack()
   {
@@ -79,5 +79,5 @@
     return cT;
   }
-  
+
   C popFront()
   {
@@ -86,5 +86,5 @@
     return cT;
   }
-  
+
   Void pushBack( const C& rcT )
   {
@@ -95,5 +95,5 @@
     }
   }
-  
+
   Void pushFront( const C& rcT )
   {
@@ -104,8 +104,8 @@
     }
   }
-  
+
   TComIterator find( const C& rcT ) // leszek
   {
-    return find( this->begin(), this->end(), rcT );
+    return std::list< C >::find( this->begin(), this->end(), rcT );
   }
 };
